libmtp: LIBMTP_file_struct Struct Reference

libmtp 1.1.21

Data Fields
LIBMTP_file_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields
uint32_t | item_id
uint32_t | parent_id
uint32_t | storage_id
char * | filename
uint64_t | filesize
time_t | modificationdate
LIBMTP_filetype_t | filetype
LIBMTP_file_t * | next

## Detailed Description

MTP file struct

Examples
  delfile.c, detect.c, files.c, getfile.c, newfolder.c, sendfile.c, sendtr.c, and tracks.c.

## Field Documentation

## ◆ filename

char* LIBMTP_file_struct::filename

Filename of this file

Examples
  detect.c, and files.c.

Referenced by LIBMTP_destroy_file_t(), LIBMTP_new_file_t(), LIBMTP_Send_Track_From_File_Descriptor(), LIBMTP_Send_Track_From_Handler(), and LIBMTP_Set_File_Name().

## ◆ filesize

uint64_t LIBMTP_file_struct::filesize

Size of file in bytes

Examples
  files.c.

Referenced by LIBMTP_Get_File_To_File_Descriptor(), LIBMTP_Get_File_To_Handler(), LIBMTP_Send_File_From_File_Descriptor(), LIBMTP_Send_File_From_Handler(), LIBMTP_Send_Track_From_File_Descriptor(), and LIBMTP_Send_Track_From_Handler().

## ◆ filetype

LIBMTP_filetype_t LIBMTP_file_struct::filetype

Filetype used for the current file

Examples
  files.c, and tracks.c.

Referenced by LIBMTP_Get_File_To_File_Descriptor(), LIBMTP_Get_File_To_Handler(), LIBMTP_Send_Track_From_File_Descriptor(), LIBMTP_Send_Track_From_Handler(), LIBMTP_Set_File_Name(), and LIBMTP_Set_Object_Filename().

## ◆ item_id

uint32_t LIBMTP_file_struct::item_id

Unique item ID

Examples
  detect.c, files.c, and tracks.c.

Referenced by LIBMTP_Send_File_From_File_Descriptor(), LIBMTP_Send_File_From_Handler(), LIBMTP_Send_Track_From_File_Descriptor(), LIBMTP_Send_Track_From_Handler(), and LIBMTP_Set_File_Name().

## ◆ modificationdate

time_t LIBMTP_file_struct::modificationdate

Date of last alteration of the file

## ◆ next

LIBMTP_file_t* LIBMTP_file_struct::next

Next file in list or NULL if last file

Examples
  detect.c, files.c, and tracks.c.

Referenced by LIBMTP_Get_Filelisting_With_Callback(), LIBMTP_Get_Files_And_Folders(), LIBMTP_Send_Track_From_File_Descriptor(), and LIBMTP_Send_Track_From_Handler().

## ◆ parent_id

uint32_t LIBMTP_file_struct::parent_id

ID of parent folder

Examples
  files.c.

Referenced by LIBMTP_Send_File_From_File_Descriptor(), LIBMTP_Send_File_From_Handler(), LIBMTP_Send_Track_From_File_Descriptor(), and LIBMTP_Send_Track_From_Handler().

## ◆ storage_id

uint32_t LIBMTP_file_struct::storage_id

ID of storage holding this file

Examples
  files.c.

Referenced by LIBMTP_Send_File_From_File_Descriptor(), LIBMTP_Send_File_From_Handler(), LIBMTP_Send_Track_From_File_Descriptor(), and LIBMTP_Send_Track_From_Handler().

The documentation for this struct was generated from the following file:

- libmtp.h